## golang-github-gcla-deep 1.0.2

=== debian/changelog ===
golang-github-gcla-deep (1.0.2-2) unstable; urgency=medium

  * d/control: bump standards

 -- Dawid Dziurla <dawidd0811@gmail.com>  Sun, 04 Aug 2019 12:19:48 +0200

golang-github-gcla-deep (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #927909)

 -- Dawid Dziurla <dawidd0811@gmail.com>  Wed, 24 Apr 2019 22:55:50 +0200
