=== debian/control ===
Source: golang-github-gcla-deep
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Dawid Dziurla <dawidd0811@gmail.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
Build-Depends-Indep:
 golang-any,
 golang-github-go-test-deep-dev,
Standards-Version: 4.4.0
Homepage: https://github.com/gcla/deep
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gcla-deep
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gcla-deep.git
XS-Go-Import-Path: github.com/gcla/deep
Testsuite: autopkgtest-pkg-go

Package: golang-github-gcla-deep-dev
Architecture: all
Depends:
 ${misc:Depends},
 golang-github-go-test-deep-dev,
Description: Golang deep variable equality test that returns human-readable differences
 Deep Variable Equality for Humans.
 .
 This package provides a single function: deep.Equal. It's like
 reflect.DeepEqual (http://golang.org/pkg/reflect/#DeepEqual) but
 much friendlier to humans (or any sentient being) for two reason:
  • deep.Equal returns a list of differences
  • deep.Equal does not compare unexported fields (by default)
 .
 This is a fork of go-test/deep package with an additional feature.
 .
 Message from author about changes made in fork:
 Some packages may require Equal()'s parameters to be set in a
 particular way that is incompatible with other users within
 the same program. The global configuration parameters can be
 changed and restored, but this could lead to bugs due to race
 conditions. This commit makes the parameters that control
 Equal()'s operation part of a structure, Comparer, for which
 Equal() is now a method. Users can configure their own
 Comparer struct if desired. To preserve the existing package
 interface, the package-level Equals() method will use a
 default Comparer object that relies on pointers to the current
 global configuration parameters (pointers so that the
 operation of the global Equals() function will change
 immediately upon changing the value of any global
 configuration setting).
